

            esac (1) --- mark the end of a case statment             03/20/80


            _U_s_a_g_e

                 case <value>
                    when <alternative1>
                       { <command> }
                    when <alternative2>
                       { <command> }
                    ...
                    out
                       { <command> }
                 esac


            _D_e_s_c_r_i_p_t_i_o_n

                 'Esac'  is  a  do-nothing  command used to mark the end of a
                 case statement.  It may  be  searched  for  by  the  'case',
                 'when',  or  'out'  commands.   Every 'case' command must be
                 followed by a matching 'esac' command.

                 'Esac' may be used to regain control  of  a  terminal  after
                 execution of a 'when' or 'out' command.


            _E_x_a_m_p_l_e_s

                 case [time]
                    when 12:00:00
                       echo "LUNCHTIME!!!"
                    when 17:00:00
                       echo "t i m e   t o   g o   h o m e . . ."
                    out
                       echo "Back to Work."
                 esac


            _B_u_g_s

                 Redirectors before 'esac' prevent its recognition by 'when',
                      'out', and 'case'.


            _S_e_e _A_l_s_o

                 case (1), when (1), out (1), if (1)













            esac (1)                      - 1 -                      esac (1)


